## org.apache.poi.hsmf.datatypes
Class NameIdChunks

    java.lang.Object
      org.apache.poi.hsmf.datatypes.NameIdChunks

All Implemented Interfaces:
  ChunkGroup

    public final class NameIdChunks

extends java.lang.Object
implements ChunkGroup

Collection of convenience chunks for the NameID part of an outlook file

Field Summary
`static java.lang.String` `PREFIX`

Constructor Summary
`NameIdChunks()`

Method Summary
`Chunk[]` `getAll()`
`Chunk[]` `getChunks()` Returns the chunks that make up the group.
`void` `record(Chunk chunk)` Called by the parser whenever a chunk is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### NameIdChunks

    public NameIdChunks()

Method Detail

### getAll

    public Chunk[] getAll()

### getChunks

    public Chunk[] getChunks()

  Description copied from interface: `ChunkGroup`
  Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.

  Specified by:
    `getChunks` in interface `ChunkGroup`

### record

    public void record(Chunk chunk)

  Called by the parser whenever a chunk is found.

  Specified by:
    `record` in interface `ChunkGroup`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.